import { ActivatedRoute, Event, Router } from "@angular/router";
import { Observable } from "rxjs";
import { BreadcrumbItem } from "./public-api";
/**
 * @ignore
 */
export declare class BreadcrumbStateService {
    getBreadcrumbState(routerState: ActivatedRoute, url?: string, breadcrumbs?: BreadcrumbItem[]): BreadcrumbItem[];
    getNavigationSubscription(router: Router): Observable<Event>;
}
